NestedPropertyTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.nested.NestedPropertyTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag, NestedNameSupport, NestedPropertySupport, NestedTagSupport

    public class NestedPropertyTag

extends BodyTagSupport
implements NestedNameSupport

NestedPropertyTag. The one of only two additions in this nested suite of tags. This is so that you can specify extra levels of nesting in one elegant tag rather than having to propagate and manage an extra dot notated property in nested child tags. It's simply recognised by the helper class and it's property is added to the nesting list.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedPropertyTag()`

Method Summary
`int` | `doAfterBody()` Render the resulting content evaluation.
`int` | `doEndTag()` Evaluate the rest of the page
`int` | `doStartTag()` Overriding method of the heart of the tag.
`String` | `getName()` The getters and setters required to set a tags name property.
`String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setName(String newNamed)` The setter for the name property
`void` | `setProperty(String newProperty)` Setter method for the property property Also, only setting the original property value to those values not set by the nested logic.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### NestedPropertyTag

    public NestedPropertyTag()

Method Detail

### getName

    public String getName()

  Description copied from interface: `NestedNameSupport`
  The getters and setters required to set a tags name property.

  Specified by:
    `getName` in interface `NestedNameSupport`
  Returns:
    String value of the tags' name property

### setName

    public void setName(String newNamed)

  Description copied from interface: `NestedNameSupport`
  The setter for the name property

  Specified by:
    `setName` in interface `NestedNameSupport`
  Parameters:
    `newNamed` - new String value to set the name property to

### getProperty

    public String getProperty()

  Getter method for the property property

  Specified by:
    `getProperty` in interface `NestedPropertySupport`
  Returns:
    String value of the property property

### setProperty

    public void setProperty(String newProperty)

  Setter method for the property property Also, only setting the original property value to those values not set by the nested logic.

  Specified by:
    `setProperty` in interface `NestedPropertySupport`
  Parameters:
    `newProperty` - new value for the property property

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Render the resulting content evaluation.

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Evaluate the rest of the page

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.